%define modname spread
%define soname %{modname}.so
%define inifile A83_%{modname}.ini

Summary:	A php interface to the Spread toolkit API
Name:		php-%{modname}
Version:	2.1.0
Release:	%mkrel 18
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/spread/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		spread-2.1.0-php53_fix.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	spread-devel >= 4.0.0
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Provides a full interface to the Spread group communication toolkit API.
Information on Spread can be found at http://www.spread.org/

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

%patch0 -p0

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Wed Aug 24 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-18mdv2011.0
+ Revision: 696471
- rebuilt for php-5.3.8

* Fri Aug 19 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-17
+ Revision: 695466
- rebuilt for php-5.3.7

* Sat Mar 19 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-16
+ Revision: 646686
- rebuilt for php-5.3.6

* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-15mdv2011.0
+ Revision: 629871
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-14mdv2011.0
+ Revision: 628191
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-13mdv2011.0
+ Revision: 600531
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-12mdv2011.0
+ Revision: 588869
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-11mdv2010.1
+ Revision: 514656
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-10mdv2010.1
+ Revision: 485484
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-9mdv2010.1
+ Revision: 468255
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-8mdv2010.0
+ Revision: 451358
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 2.1.0-7mdv2010.0
+ Revision: 397603
- Rebuild

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-6mdv2010.0
+ Revision: 377752
- fix build
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-5mdv2009.1
+ Revision: 346633
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-4mdv2009.1
+ Revision: 341799
- rebuilt against php-5.2.9RC2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-3mdv2009.1
+ Revision: 323079
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2009.1
+ Revision: 310307
- rebuilt against php-5.2.7

* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2009.1
+ Revision: 297901
- fix deps
- import php-spread


* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-1mdv2009.0
- initial Mandriva package
